Subject: Re: [ANNOUNCEMENT] New package: apache2-2.0.54-1 (and subpackages apache2-devel, apache2-manual)
From: "Max Bowsher" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: "Apache2 for beginners" <[email-masked]>
Date: Fri, 8 Jul 2005 12:56:40 +0100

Gerrit P. Haase wrote:
> Max Bowsher wrote:
>> Gerrit P. Haase wrote:
>>
>>> However, I see the same problem as I had with my own Apache2 in January,
>>> I'm getting only 8k and then it stops transmission...
>>>
>>> $ wget http://anfaenger.de/xmailgraph/pop3_daily.png
>>> --22:22:04--  http://anfaenger.de/xmailgraph/pop3_daily.png
>>>            => `pop3_daily.png'
>>> Resolving anfaenger.de... 82.139.192.138
>>> Connecting to anfaenger.de[82.139.192.138]:80... connected.
>>> HTTP request sent, awaiting response... 200 OK
>>> Length: 17,765 [image/png]
>>>
>>> 46% [===============================>
>>>     ] 8,192         17.39K/s
>>>
>>> 22:22:20 (17.39 KB/s) - Connection closed at byte 8192. Retrying.
>>>
>>> --22:22:21--  http://anfaenger.de/xmailgraph/pop3_daily.png
>>>   (try: 2) => `pop3_daily.png'
>>> Connecting to anfaenger.de[82.139.192.138]:80... connected.
>>> HTTP request sent, awaiting response... 206 Partial Content
>>> Length: 17,765 (9,573 to go) [image/png]
>>>
>>> 92% [++++++++++++++++++++++++++++++++================================>
>>>     ] 16,384        17.20K/s
>>>
>>> 22:22:36 (17.20 KB/s) - Connection closed at byte 16384. Retrying.
>>>
>>> --22:22:38--  http://anfaenger.de/xmailgraph/pop3_daily.png
>>>   (try: 3) => `pop3_daily.png'
>>> Connecting to anfaenger.de[82.139.192.138]:80... connected.
>>> HTTP request sent, awaiting response... 206 Partial Content
>>> Length: 17,765 (1,381 to go) [image/png]
>>>
>>> 100%[+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++=====>]
>>>
>>> 17,765        --.--K/s
>>>
>>> 22:22:38 (14.35 KB/s) - `pop3_daily.png' saved [17765/17765]
>>>
>>>
>>> What the heck is going on here?
>>>
>>> I have still cygwin-1.5.17 running, however I saw the same behaviour
>>> in January.  And I saw it also when I installed Apache2 on my Laptop
>>> or my home server.  Is someone else seeing this problem?  Who is
>>> actually running Apache2 on Cygwin, where can I fetch some file which
>>> is greater than 8k for testing?  I cannot believe that it works for you
>>> and not for me... ;)
>>
>>
>> Sorry, it does indeed work just fine for me.
>
> Hmmm.  But what may be the reason for this strange behaviour?  I tried
> this with three different Cygwin installations, with my own versions,
> with your release tarball, same result.  I can connect the server
> locally and fetch as many bytes as I like, if I connect from remote it
> fails after every 8k.  Every attempt to debug this failed.  What can I
> do to debug it?

I have absolutely no idea, sorry.
If it works locally, is it necessarily an apache problem at all?

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/